const colors = require('colors')
const latestVersion = require('latest-version')
const pkg = require('../package.json')

module.exports = () => new Promise((resolve, reject) => {
  latestVersion(pkg.name).then((result) => {
    if (result > pkg.version) {
      console.log(`  ${colors.bgYellow.black(' warning ')} An update is available, run ${colors.cyan('npm install --global initior')} to update \n`)
      resolve()
    } else {
      resolve()
    }
  })
})
